package com.ls.rounded;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Path;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.widget.ListView;



public class RoundListView extends ListView
{  
	private final static int DEFAULT_RADIUS = 40;
	
	public int roundingRadiusY;
	public int roundingRadiusX;
	
    public RoundListView(Context context)
    {
        super(context);       
        initParameters();
    }
    
    public RoundListView(Context context,AttributeSet theSet)
    {
        super(context,theSet);       
        initParameters();       
    }
    
    public RoundListView(Context context,AttributeSet theSet,int defStyle)
    {
        super(context,theSet,defStyle);       
        initParameters();       
    }
    
    private void initParameters()
    {
    	this.roundingRadiusX = DEFAULT_RADIUS;
        this.roundingRadiusY = DEFAULT_RADIUS;
    }
    
    @Override
    public void onDraw(Canvas theCanvas)
    {
        super.onDraw(theCanvas);       
        Path path = new Path();
        RectF rect = new RectF(0,0,this.getMeasuredWidth(),this.getMeasuredHeight());
        path.addRoundRect(rect, roundingRadiusX, roundingRadiusY, Path.Direction.CCW);
        theCanvas.clipPath(path);
    }

	public int getRoundingRadiusY()
	{
		return roundingRadiusY;
	}

	public void setRoundingRadiusY(int roundingRadiusY)
	{
		this.roundingRadiusY = roundingRadiusY;
	}

	public int getRoundingRadiusX()
	{
		return roundingRadiusX;
	}

	public void setRoundingRadiusX(int roundingRadiusX)
	{
		this.roundingRadiusX = roundingRadiusX;
	}         
}
